Delete monitors
- Base URL
-
https://{kibana_url}
-
POST
/api/synthetics/monitors/_bulk_delete
-
POST
/s/{space_id}/api/synthetics/monitors/_bulk_delete
Auth
Delete multiple monitors by sending a list of config IDs.
-
Privileges
uptime-read
and
uptime-write
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
ids
string[] · min items: 1 · max items: 10000
required
-
An array of monitor IDs to delete.
<array> object[]
-
deleted
boolean
-
If true, the object was deleted. If false, it was not deleted.
-
id
string
-
The unique identifier of the deleted object.
Thank you for your feedback.